<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/island/level[@id='ImpaleSticky']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/island/level[@id='ImpaleSticky']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depends">FistyReachesOut</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/island/level[@id='IvyTower']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/island/level[@id='IvyTower']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depends">Tumbler</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/island/level[@id='Tumbler']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/island/level[@id='Tumbler']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depends">FlyingMachine</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/island/level[@id='Chain']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/island/level[@id='Chain']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depends">IvyTower</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/island/level[@id='FlyingMachine']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/island/level[@id='FlyingMachine']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depends">HangLow</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/island/level[@id='TowerOfGoo']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/island/level[@id='TowerOfGoo']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depends">FistyReachesOut</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
</xsl:transform>
