<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='ocd_ImpaleSticky']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='ocd_ImpaleSticky']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">ocd_FlyingMachine</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='ocd_IvyTower']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='ocd_IvyTower']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">ocd_Tumbler</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='ocd_Tumbler']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='ocd_Tumbler']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">ocd_IvyTower</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='ocd_FlyingMachine']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='ocd_FlyingMachine']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">ocd_FistyReachesOut</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='ocd_FistyReachesOut']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='ocd_FistyReachesOut']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">ocd_ImpaleSticky</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='levelpipe_ImpaleSticky']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='levelpipe_ImpaleSticky']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">levelpipe_FlyingMachine</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='levelpipe_FlyingMachine']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='levelpipe_FlyingMachine']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">levelpipe_Tumbler</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='levelpipe_Tumbler']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='levelpipe_Tumbler']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">levelpipe_IvyTower</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@id='levelpipe_FistyReachesOut']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@id='levelpipe_FistyReachesOut']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">levelpipe_ImpaleSticky</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_ImpaleSticky']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_ImpaleSticky']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">lb_FlyingMachine</xsl:attribute>
      <xsl:attribute name="onclick">pl_FlyingMachine</xsl:attribute>
      <xsl:attribute name="onmouseenter">ss_FlyingMachine</xsl:attribute>
      <xsl:attribute name="onmouseexit">hs_FlyingMachine</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_FlyingMachine']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_FlyingMachine']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">lb_FistyReachesOut</xsl:attribute>
      <xsl:attribute name="onclick">pl_FistyReachesOut</xsl:attribute>
      <xsl:attribute name="onmouseenter">ss_FistyReachesOut</xsl:attribute>
      <xsl:attribute name="onmouseexit">hs_FistyReachesOut</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_FistyReachesOut']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_FistyReachesOut']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">lb_ImpaleSticky</xsl:attribute>
      <xsl:attribute name="onclick">pl_ImpaleSticky</xsl:attribute>
      <xsl:attribute name="onmouseenter">ss_ImpaleSticky</xsl:attribute>
      <xsl:attribute name="onmouseexit">hs_ImpaleSticky</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_IvyTower']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_IvyTower']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">lb_Tumbler</xsl:attribute>
      <xsl:attribute name="onclick">pl_Tumbler</xsl:attribute>
      <xsl:attribute name="onmouseenter">ss_Tumbler</xsl:attribute>
      <xsl:attribute name="onmouseexit">hs_Tumbler</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_Tumbler']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/buttongroup[@id='levelMarkerGroup']/button[@id='lb_Tumbler']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">lb_IvyTower</xsl:attribute>
      <xsl:attribute name="onclick">pl_IvyTower</xsl:attribute>
      <xsl:attribute name="onmouseenter">ss_IvyTower</xsl:attribute>
      <xsl:attribute name="onmouseexit">hs_IvyTower</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
</xsl:transform>
